<div class="container">
        <div class="sidebar">
                <div *ngIf="admin">
                    Loggin for
                    <h3><b> {{admin}}</b></h3>
                </div>
                <hr/>
                <h3>Admin Menu</h3>
                <input class="form-control" id="search-input" type="text" placeholder="Search..">
                    <hr/>
                    <ul class="nav navbar-nav left-bar">
                        <li><a href="/admin-board">Users page</a></li>
                        <br/>
                        <li><a href="/product-board">Products page</a></li>
                    </ul>
            </div>
    <div class="main">
            <table class="table" id="myTable">
                <thead>
                    <tr>
                        <th onclick="Select()"class="non-check"><span class="my-cursor">Check</span></th>
                        <th>Series</th>
                        <th>Power</th>
                        <th>Phases</th>
                        <th>Money $</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody id="search-body">
                    <tr *ngFor="let item of pagedItems">
                        <th scope="row" id="{{item.id}}" name="tr">
                            <input id="checkBox" type="checkbox" class="delete">
                        </th>
                        <td class="clickLink">
                            {{item.lSeries}}
                        </td>
                        <td class="clickLink">
                            {{item.lPower}}
                        </td>
                        <td class="clickLink">
                            {{item.lPhases}}
                        </td>
                        <td class="clickLink">
                            {{item.lMoney}} 
                        </td>
                          <td class="actions">
                            <!-- <a class="edit clickLink" (click)="modal2.show(item.id)"><img src="https://res.cloudinary.com/ng-shop/image/upload/v1553864466/ng-Shop/edit-icon.png"></a>
                            <app-edit-prodct #modal2></app-edit-prodct> -->
                            <a class="myLogin clickLink" (click)="modal1.show(item.id)"><img src="https://res.cloudinary.com/ng-shop/image/upload/v1553853623/ng-Shop/info-min.png"></a>
                                <product-modal #modal1></product-modal>
                                |
                                <a class="remove" (click)="deleteProduct(item.id)"><img src="https://res.cloudinary.com/ng-shop/image/upload/v1553853353/ng-Shop/remove-min.png"></a>
                         </td>
                    </tr>
                </tbody>
            </table>
            <div class="row text-center">
                    <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
                        <li [ngClass]="{disabled:pager.currentPage === 1}">
                            <a (click)="setPage(1)">First</a>
                        </li>
                        <li [ngClass]="{disabled:pager.currentPage === 1}">
                            <a (click)="setPage(pager.currentPage - 1)">Previous</a>
                        </li>
                        <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                            <a (click)="setPage(page)">{{page}}</a>
                        </li>
                        <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                            <a (click)="setPage(pager.currentPage + 1)">Next</a>
                        </li>
                        <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                            <a (click)="setPage(pager.totalPages)">Last</a>
                        </li>
                    </ul>
                </div>
            
    </div>